import { defineConfig } from '@umijs/max';
import routes from './routes/base';

export default defineConfig({
  routes,
  define: {
    APP_ENV: process.env.NODE_ENV || 'development',
    COMMON_URL: 'http://10.0.1.231:31300', // 基建服务
    MATERIAL_URL: 'http://10.0.0.222',
    CABINET_HOST: '/cabinet/',
    VIDEO_HOST: '/video/',
    ALGORITHM_HOST: '/algorithm/',
    MATERIAL_HOST: '/material/'
  },
});
