const routes = [
  {
    path: '/',
    redirect: 'material/home',
  },
  {
    name: '测试页（开发环境）',
    path: '/test',
    routes: [
      {
        name: '性能测试',
        path: '/test/demo',
        component: '@/pages/test',
      },
    ],
  },
  {
    path: '/',
    component: '@/layouts/BaseLayout/index.tsx',
    routes: [
      {
        name: 'cabinet',
        path: '/cabinet/*',
        microApp: 'cabinet',
      },
      {
        name: 'algorithm',
        path: '/algorithm/*',
        microApp: 'algorithm',
      },
      {
        name: 'video',
        path: '/video/*',
        microApp: 'video',
      },
    ],
  },
  {
    name: '物料库',
    path: '/material/*',
    microApp: 'material',
  },
];
export default routes;
