/* eslint-disable */
import { request } from '@umijs/max';

export async function postUserInfo(options?: { [key: string]: any }) {
  return request<USER_API.Result_UserInfo_>('/v1/ma/BusinessApi/GetUserInfo', {
    method: 'POST',
    ...(options || {}),
  });
}

// 获取菜单
export async function postMenuList(options?: { [key: string]: any }) {
  return request<USER_API.Response>('/v1/ma/BusinessApi/GetAlgorithmsNav', {
    method: 'POST',
    data: {},
    ...(options || {}),
  });
}

// 获取当前用户路由权限
export async function getUserRights(
  params: { userId: string },
  options?: { [key: string]: any },
) {
  return request<USER_API.Response>('/v1/ma/BusinessApi/GetUserRights', {
    method: 'POST',
    data: params,
    ...(options || {}),
  });
}
